Subject: (urth) Apology

From: Tony Ellis <tellis at futurenet.co.uk>
Date: Wed, 04 Feb 1998 14:34:52 +0000

[Posted from URTH, a mailing list about Gene Wolfe's New Sun and other works]

                                                                      03/02/98
                                                                      09:36
 Apology

I think I just included half of the last digest with my latest e-mail.
Apologies to everyone on the list. Sorry.